### Class

# Foundry License

#### Description [src]

    final class Foundry.License : GObject.Object
    {
      /* No available fields */
    }

Represents a source code license.

#### Ancestors

- GObject

#### Functions

###### foundry_license_find

No description available.

###### foundry_license_list_all

Get a `GListModel` of all `FoundryLicense`.

#### Instance methods

###### foundry_license_dup_id

No description available.

###### foundry_license_dup_snippet_text

No description available.

###### foundry_license_dup_text

No description available.

###### foundry_license_dup_title

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.License:id

No description available.

###### Foundry.License:snippet-text

No description available.

###### Foundry.License:snippet-text-bytes

No description available.

###### Foundry.License:text

No description available.

###### Foundry.License:text-bytes

No description available.

###### Foundry.License:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryLicenseClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.